<?xml version="1.0" encoding="UTF-8"?>
<project version="4">
  <component name="CompilerConfiguration">
    <annotationProcessing>
      <profile default="true" name="Default" enabled="true" />
      <profile name="Maven default annotation processors profile" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
      </profile>
      <profile name="Annotation profile for sk-matrix-service" enabled="true">
        <sourceOutputDir name="target/generated-sources/annotations" />
        <sourceTestOutputDir name="target/generated-test-sources/test-annotations" />
        <outputRelativeToContentRoot value="true" />
        <processorPath useClasspath="false">
          <entry name="D:/Repository/maven/org/mapstruct/mapstruct-processor/1.5.3.Final/mapstruct-processor-1.5.3.Final.jar" />
          <entry name="D:/Repository/maven/org/mapstruct/mapstruct/1.5.3.Final/mapstruct-1.5.3.Final.jar" />
          <entry name="D:/Repository/maven/org/projectlombok/lombok/1.18.24/lombok-1.18.24.jar" />
          <entry name="D:/Repository/maven/org/projectlombok/lombok-mapstruct-binding/0.2.0/lombok-mapstruct-binding-0.2.0.jar" />
          <entry name="D:/Repository/maven/org/springframework/boot/spring-boot-configuration-processor/3.0.1/spring-boot-configuration-processor-3.0.1.jar" />
        </processorPath>
        <module name="annotation" />
        <module name="common" />
        <module name="starter" />
        <module name="auth" />
        <module name="model" />
        <module name="api" />
        <module name="orm" />
        <module name="services" />
        <module name="casbin" />
      </profile>
    </annotationProcessing>
  </component>
  <component name="JavacSettings">
    <option name="ADDITIONAL_OPTIONS_OVERRIDE">
      <module name="annotation" options="-parameters" />
      <module name="api" options="-parameters" />
      <module name="auth" options="-parameters" />
      <module name="casbin" options="-parameters" />
      <module name="common" options="-parameters" />
      <module name="model" options="-parameters" />
      <module name="orm" options="-parameters" />
      <module name="services" options="-parameters" />
      <module name="sk-matrix-service" options="-parameters" />
      <module name="starter" options="-parameters" />
    </option>
  </component>
</project>